Upstream information

CVE-2010-0175 at MITRE

Description

Use-after-free vulnerability in the nsTreeSelection implementation in Mozilla Firefox before 3.0.19 and 3.5.x before 3.5.9, Thunderbird before 3.0.4, and SeaMonkey before 2.0.4 allows remote attackers to execute arbitrary code or cause a denial of service (application crash) via unspecified vectors that trigger a call to the handler for the select event for XUL tree items.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 586567 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • MozillaFirefox >= 3.5.9-0.1.1
  • MozillaFirefox-translations >= 3.5.9-0.1.1
  • mozilla-xulrunner190 >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-x86 >= 1.9.0.19-0.1.1
  • mozilla-xulrunner191 >= 1.9.1.9-1.12.1
  • mozilla-xulrunner191-32bit >= 1.9.1.9-1.12.1
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.9-1.12.1
  • mozilla-xulrunner191-translations >= 1.9.1.9-1.12.1
  • mozilla-xulrunner191-x86 >= 1.9.1.9-1.12.1
SUSE Linux Enterprise Server 11 SP2
  • MozillaFirefox >= 10.0-0.3.2
  • MozillaFirefox-translations >= 10.0-0.3.2
SUSE Linux Enterprise Server 11 SP3
  • MozillaFirefox >= 17.0.4esr-0.10.42
  • MozillaFirefox-translations >= 17.0.4esr-0.10.42
SUSE Linux Enterprise Server 11 SP4
  • MozillaFirefox >= 31.7.0esr-0.8.1
  • MozillaFirefox-translations >= 31.7.0esr-0.8.1
SUSE Linux Enterprise Server 11
  • MozillaFirefox >= 3.5.9-0.1.1
  • MozillaFirefox-branding-SLED >= 3.5-1.1.5
  • MozillaFirefox-translations >= 3.5.9-0.1.1
  • gconf2 >= 2.24.0-7.5
  • gconf2-32bit >= 2.24.0-7.5
  • gconf2-x86 >= 2.24.0-7.5
  • libfreebl3 >= 3.12.3.1-1.2.1
  • libfreebl3-32bit >= 3.12.3.1-1.2.1
  • libfreebl3-x86 >= 3.12.3.1-1.2.1
  • libidl >= 0.8.11-2.14
  • libidl-32bit >= 0.8.11-2.14
  • libidl-x86 >= 0.8.11-2.14
  • mozilla-nspr >= 4.8-1.3.1
  • mozilla-nspr-32bit >= 4.8-1.3.1
  • mozilla-nspr-x86 >= 4.8-1.3.1
  • mozilla-nss >= 3.12.3.1-1.2.1
  • mozilla-nss-32bit >= 3.12.3.1-1.2.1
  • mozilla-nss-tools >= 3.12.3.1-1.2.1
  • mozilla-nss-x86 >= 3.12.3.1-1.2.1
  • mozilla-xulrunner190 >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-x86 >= 1.9.0.19-0.1.1
  • mozilla-xulrunner191 >= 1.9.1.9-1.1.1
  • mozilla-xulrunner191-32bit >= 1.9.1.11-0.1.1
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.9-1.1.1
  • mozilla-xulrunner191-translations >= 1.9.1.9-1.1.1
  • mozilla-xulrunner191-x86 >= 1.9.1.11-0.1.1
  • mozilla-xulrunner192 >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-32bit >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-gnome >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-translations >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-x86 >= 1.9.2.12-0.6.1
  • orbit2 >= 2.14.16-2.16
  • orbit2-32bit >= 2.14.16-2.16
  • orbit2-x86 >= 2.14.16-2.16
Patchnames:
slessp0-MozillaFirefox
slessp0-mozilla-xulrunner190
SUSE Linux Enterprise Server for SAP Applications 11
  • MozillaFirefox >= 3.5.9-0.1.1
  • MozillaFirefox-branding-SLED >= 3.5-1.1.5
  • MozillaFirefox-translations >= 3.5.9-0.1.1
  • gconf2 >= 2.24.0-7.5
  • gconf2-32bit >= 2.24.0-7.5
  • gconf2-x86 >= 2.24.0-7.5
  • libfreebl3 >= 3.12.3.1-1.2.1
  • libfreebl3-32bit >= 3.12.3.1-1.2.1
  • libfreebl3-x86 >= 3.12.3.1-1.2.1
  • libidl >= 0.8.11-2.14
  • libidl-32bit >= 0.8.11-2.14
  • libidl-x86 >= 0.8.11-2.14
  • mozilla-nspr >= 4.8-1.3.1
  • mozilla-nspr-32bit >= 4.8-1.3.1
  • mozilla-nspr-x86 >= 4.8-1.3.1
  • mozilla-nss >= 3.12.3.1-1.2.1
  • mozilla-nss-32bit >= 3.12.3.1-1.2.1
  • mozilla-nss-tools >= 3.12.3.1-1.2.1
  • mozilla-nss-x86 >= 3.12.3.1-1.2.1
  • mozilla-xulrunner190 >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-x86 >= 1.9.0.19-0.1.1
  • mozilla-xulrunner191 >= 1.9.1.9-1.1.1
  • mozilla-xulrunner191-32bit >= 1.9.1.9-1.1.1
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.9-1.1.1
  • mozilla-xulrunner191-translations >= 1.9.1.9-1.1.1
  • mozilla-xulrunner191-x86 >= 1.9.1.11-0.1.1
  • mozilla-xulrunner192 >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-32bit >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-gnome >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-translations >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-x86 >= 1.9.2.12-0.6.1
  • orbit2 >= 2.14.16-2.16
  • orbit2-32bit >= 2.14.16-2.16
  • orbit2-x86 >= 2.14.16-2.16
Patchnames:
slessp0-MozillaFirefox
slessp0-mozilla-xulrunner190
SUSE Linux Enterprise Software Development Kit 11 SP4
  • MozillaFirefox-devel >= 31.7.0esr-0.8.1
SUSE Linux Enterprise Workstation Extension 15 SP1
  • MozillaThunderbird >= 60.6.1-3.28.1
  • MozillaThunderbird-translations-common >= 60.6.1-3.28.1
  • MozillaThunderbird-translations-other >= 60.6.1-3.28.1
SUSE Linux Enterprise Workstation Extension 15
  • MozillaThunderbird >= 52.8-1.2
  • MozillaThunderbird-devel >= 52.8-1.2
  • MozillaThunderbird-translations-common >= 52.8-1.2
  • MozillaThunderbird-translations-other >= 52.8-1.2
openSUSE Leap 15.0
  • MozillaThunderbird >= 52.7-lp150.2.16
  • MozillaThunderbird-translations-common >= 52.7-lp150.2.16
  • MozillaThunderbird-translations-other >= 52.7-lp150.2.16
Patchnames:
openSUSE Leap 15.0 GA MozillaThunderbird-52.7-lp150.2.16
openSUSE Tumbleweed
  • MozillaThunderbird >= 45.5.1-1.1
  • MozillaThunderbird-buildsymbols >= 45.5.1-1.1
  • MozillaThunderbird-devel >= 45.5.1-1.1
  • MozillaThunderbird-translations-common >= 45.5.1-1.1
  • MozillaThunderbird-translations-other >= 45.5.1-1.1
  • seamonkey >= 2.40-6.1
  • seamonkey-dom-inspector >= 2.40-6.1
  • seamonkey-irc >= 2.40-6.1
  • seamonkey-translations-common >= 2.40-6.1
  • seamonkey-translations-other >= 2.40-6.1
Patchnames:
openSUSE Tumbleweed GA MozillaThunderbird-45.5.1-1.1
openSUSE Tumbleweed GA seamonkey-2.40-6.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 MozillaFirefox Released
SLES-10-SP3 MozillaFirefox Released
SUSE Linux Enterprise Desktop 11 MozillaFirefox Released
SUSE Linux Enterprise Server 11 MozillaFirefox Released